Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.agent.conf
Enum MonitorChangesetEventsOption

    java.lang.Object
      java.lang.Enum<MonitorChangesetEventsOption>
          org.drools.agent.conf.MonitorChangesetEventsOption

All Implemented Interfaces:
  Serializable, Comparable<MonitorChangesetEventsOption>

    public enum MonitorChangesetEventsOption

extends Enum<MonitorChangesetEventsOption>

Enum Constant Summary
`NO`
`YES`

Field Summary
`static String` | `PROPERTY_NAME` The property name for monitoring the changeset events

Method Summary
`String` | `getPropertyName()`
`boolean` | `isMonitorChangesetEvents()`
`static MonitorChangesetEventsOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MonitorChangesetEventsOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final MonitorChangesetEventsOption YES

### NO

    public static final MonitorChangesetEventsOption NO

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for monitoring the changeset events

  See Also:
    Constant Field Values

Method Detail

### values

    public static MonitorChangesetEventsOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MonitorChangesetEventsOption c : MonitorChangesetEventsOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MonitorChangesetEventsOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

### isMonitorChangesetEvents

    public boolean isMonitorChangesetEvents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.